SERVICE MANAGEMENT, SIAM, SMAAS, TOOLS-SECURITY
16 May

Are you Vulnerable to the WannaCry Ransomware?

There’s a very high likelihood that you are vulnerable to WannaCry (WCry) and you don’t even know it. This ransomware is spreading across many organizations’ desktops and servers around the globe faster than the plague and impeding on di?erent business functions.

This attack proves yet again that by having unpatched software or lack of end-point protection, organizations are still facing drastically unmanageable and possibly detrimental security-operations issues.

On March 14th 2017 Microsoft has released a set of security patches as part of the critical Security Bulletin MS17-010 that can effectively prevent the spread of this ransomware. Unfortunately many organizations find it difficult to maintain their systems up to date. Even a few vulnerable devices are sufficient to compromise the whole organization.

Nexthink’s end-user experience management can be leveraged to ensure that effective security-operations measures are maintained across organizations.

Nexthink can help the security and compliance teams adopt and maintain proactive measures, thus avoiding propagation of new attacks, by:

  • Identifying all outdated endpoint and server operating systems;
  • Ensuring all end-points have working and updated protection solutions;
  • Monitoring activities such as shadow IT communications, existence of TOR software, communications over SMB ports to multiple devices;
  • Getting alerted when detecting the existence of dangerous activities such as high threat binaries, anomalous traffic patterns, etc.

To help our customers identify all devices that are potentially subject to the WannaCry ransomware we have just released “WannaCry vulnerability test” library pack. This pack can be installed in just a few seconds and does not require any configuration.

Additional packs to validate the overall compliance and security posture of your environment, are available as part of the Nexthink Library and include:

Register for the WannaCry Webinar

Title: Are you vulnerable to WannaCry?
Presenter: Matthew Aylard – Security Expert at Nexthink
Date: Wednesday 17 May – 4pm BST / 11am EST
Description:

  • Do you understand the risks?
  • What could we have done as IT professionals?
  • What happens once the virus evolves… WannaCry 2.0?

Register Here